# Class CIM_ElementCapabilities

ElementCapabilities represents the association between ManagedElements and their Capabilities. Note that the cardinality of the ManagedElement reference is Min(1). This cardinality mandates the instantiation of the ElementCapabilities association for the referenced instance of Capabilities. ElementCapabilities describes the existence requirements and context for the referenced instance of ManagedElement. Specifically, the ManagedElement MUST exist and provides the context for the Capabilities.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ElementCapabilities

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true

Description

string

ElementCapabilities represents the association between ManagedElements and their Capabilities. Note that the cardinality of the ManagedElement reference is Min(1). This cardinality mandates the instantiation of the ElementCapabilities association for the referenced instance of Capabilities. ElementCapabilities describes the existence requirements and context for the referenced instance of ManagedElement. Specifically, the ManagedElement MUST exist and provides the context for the Capabilities.

UMLPackagePath | string | CIM::Core::Capabilities
Version | string | 2.24.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
Characteristics | uint16[] |

Description

string

Characteristics provides descriptive information about the Capabilities. when the value 2 "Default" is specified, the associated Capabilities shall represent the default capabilities of the associated Managed Element when the value 2 "Default" is not specified, the Capabilities instance may represent the default capabilities of the Managed Element When the value 3 "Current" is specified, the associated Capabilities shall represent the current capabilities of the associated Managed Element When the value 3 "Current" is not specified, the Capabilities instance may represent the current capabilities of the Managed Element.

ValueMap | string | 2, 3, .., 32768..65535
Values | string | Default, Current, DMTF Reserved, Vendor Specific

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Capabilities | CIM_ElementCapabilities | CIM_Capabilities
ManagedElement | CIM_ElementCapabilities | CIM_ManagedElement

## Class Methods